ru.bitel.bgbilling.modules.voice.api.common.bean

## Class VoiceOperAccount

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.modules.voice.api.common.bean.AbtractVoiceAccount
      - - ru.bitel.bgbilling.modules.voice.api.common.bean.VoiceOperAccount

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class VoiceOperAccount
      extends AbtractVoiceAccount

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.modules.voice.api.common.bean.AbtractVoiceAccount

      `contractComment, deviceId`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceOperAccount()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getCallType()`
    `int` | `getDeviceId()` Получение кода устройства, к которому привязан аккаунт.
    `java.util.List<VoiceAccountPort>` | `getFromPortList()`
    `java.lang.String` | `getFromPorts()` Получение списка портов, с которых может поступить звонок от абонента.
    `java.lang.String` | `getNoRegexpA()`
    `java.lang.String` | `getNoRegexpB()`
    `java.lang.String` | `getRegexpA()`
    `java.lang.String` | `getRegexpB()`
    `java.lang.String` | `getRegexpFromPorts()`
    `java.lang.String` | `getRegexpToPorts()`
    `int` | `getServiceId()`
    `java.util.List<VoiceAccountPort>` | `getToPortList()`
    `java.lang.String` | `getToPorts()`
    `void` | `setCallType(byte callType)`
    `void` | `setDeviceId(int deviceId)` Установка кода устройства, к которому привязывается аккаунт
    `void` | `setFromPortList(java.util.List<VoiceAccountPort> fromPortList)`
    `void` | `setFromPorts(java.lang.String fromPorts)` Установка списка портов, с которых может поступить звонок от абонента.
    `void` | `setNoRegexpA(java.lang.String noRegexpA)`
    `void` | `setNoRegexpB(java.lang.String noRegexpB)`
    `void` | `setRegexpA(java.lang.String regexpA)`
    `void` | `setRegexpB(java.lang.String regexpB)`
    `void` | `setRegexpFromPorts(java.lang.String regexpFromPorts)`
    `void` | `setRegexpToPorts(java.lang.String regexpToPorts)`
    `void` | `setServiceId(int serviceId)`
    `void` | `setToPortList(java.util.List<VoiceAccountPort> toPortList)`
    `void` | `setToPorts(java.lang.String toPorts)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.bgbilling.modules.voice.api.common.bean.AbtractVoiceAccount

      `getContractComment, getContractId, getContractTitle, getDateFrom, getDateTo, getTypeId, setContractComment, setContractId, setContractTitle, setDateFrom, setDateTo, setTypeId`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### VoiceOperAccount

          public VoiceOperAccount()

  - ### Method Detail

    - #### getRegexpFromPorts

          public java.lang.String getRegexpFromPorts()

    - #### setRegexpFromPorts

          public void setRegexpFromPorts(java.lang.String regexpFromPorts)

    - #### getRegexpToPorts

          public java.lang.String getRegexpToPorts()

    - #### setRegexpToPorts

          public void setRegexpToPorts(java.lang.String regexpToPorts)

    - #### getRegexpA

          public java.lang.String getRegexpA()

    - #### setRegexpA

          public void setRegexpA(java.lang.String regexpA)

    - #### getNoRegexpA

          public java.lang.String getNoRegexpA()

    - #### setNoRegexpA

          public void setNoRegexpA(java.lang.String noRegexpA)

    - #### getRegexpB

          public java.lang.String getRegexpB()

    - #### setRegexpB

          public void setRegexpB(java.lang.String regexpB)

    - #### getNoRegexpB

          public java.lang.String getNoRegexpB()

    - #### setNoRegexpB

          public void setNoRegexpB(java.lang.String noRegexpB)

    - #### getDeviceId

          public int getDeviceId()

      Description copied from class: `AbtractVoiceAccount`
      Получение кода устройства, к которому привязан аккаунт.
      Overrides:
        `getDeviceId` in class `AbtractVoiceAccount`
      Returns:
        код устройства

    - #### setDeviceId

          public void setDeviceId(int deviceId)

      Description copied from class: `AbtractVoiceAccount`
      Установка кода устройства, к которому привязывается аккаунт
      Overrides:
        `setDeviceId` in class `AbtractVoiceAccount`
      Parameters:
        `deviceId` - код устройства

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `IdTitle`

    - #### getFromPorts

          public java.lang.String getFromPorts()

      Получение списка портов, с которых может поступить звонок от абонента. Порты могут быть перечислены через запятую.
      Returns:
        список портов

    - #### setFromPorts

          public void setFromPorts(java.lang.String fromPorts)

      Установка списка портов, с которых может поступить звонок от абонента. Порты могут быть перечислены через запятую
      Parameters:
        `fromPorts` -

    - #### getToPorts

          public java.lang.String getToPorts()

    - #### setToPorts

          public void setToPorts(java.lang.String toPorts)

    - #### getFromPortList

          public java.util.List<VoiceAccountPort> getFromPortList()

    - #### setFromPortList

          public void setFromPortList(java.util.List<VoiceAccountPort> fromPortList)

    - #### getToPortList

          public java.util.List<VoiceAccountPort> getToPortList()

    - #### setToPortList

          public void setToPortList(java.util.List<VoiceAccountPort> toPortList)

    - #### getCallType

          public byte getCallType()

    - #### setCallType

          public void setCallType(byte callType)

    - #### getServiceId

          public int getServiceId()

    - #### setServiceId

          public void setServiceId(int serviceId)